Skip to main content
`Ctrl`+`K`

# CHKERRA

Fortran-only replacement for use of `CHKERRQ()` in the main program, which aborts immediately

## Synopsis

    #include <petscsys.h>
    PetscErrorCode CHKERRA(PetscErrorCode ierr)

Not Collective

## Input Parameter

- ierr - nonzero error code, see the list of standard error codes in include/petscerror.h

## Note

This macro is rarely needed, normal usage is `PetscCallA()` in the main Fortran program.

## Developer Note

Why isn’t this named `CHKERRABORT()` in Fortran?

## See Also

`PetscCall()`, `PetscCallA()`, `PetscCallAbort()`, `CHKERRQ()`, `SETERRA()`, `SETERRQ()`, `SETERRABORT()`

## Level

deprecated

## Location

include/petscerror.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages